audioecho

## audioecho audioecho — Adds an echo or reverb effect to an audio stream |

## Synopsis

    struct              GstAudioEcho;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBaseTransform
                               +----GstAudioFilter
                                     +----GstAudioEcho

## Properties

      "delay"                    guint64               : Read / Write
      "feedback"                 gfloat                : Read / Write
      "intensity"                gfloat                : Read / Write
      "max-delay"                guint64               : Read / Write

## Description

audioecho adds an echo or (simple) reverb effect to an audio stream. The echo delay, intensity and the percentage of feedback can be configured.

For getting an echo effect you have to set the delay to a larger value, for example 200ms and more. Everything below will result in a simple reverb effect, which results in a slightly metallic sound.

Use the max-delay property to set the maximum amount of delay that will be used. This can only be set before going to the PAUSED or PLAYING state and will be set to the current delay by default.

### Example launch line

    1
    2
    gst-launch-1.0 filesrc location="melo1.ogg" ! audioconvert ! audioecho delay=500000000 intensity=0.6 feedback=0.4 ! audioconvert ! autoaudiosink
    gst-launch-1.0 filesrc location="melo1.ogg" ! decodebin ! audioconvert ! audioecho delay=50000000 intensity=0.6 feedback=0.4 ! audioconvert ! autoaudiosink

## Synopsis

### Element Information

plugin | audiofx
author | Sebastian Dröge <sebastian.droege@collabora.co.uk>
class | Filter/Effect/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string){ F32LE, F64LE }, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], layout=(string)interleaved

name | src
direction | source
presence | always
details | audio/x-raw, format=(string){ F32LE, F64LE }, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], layout=(string)interleaved

## Details

### struct GstAudioEcho

    struct GstAudioEcho;

## Property Details

### The `"delay"` property

      "delay"                    guint64               : Read / Write

Delay of the echo in nanoseconds.

Allowed values: >= 1

Default value: 1

### The `"feedback"` property

      "feedback"                 gfloat                : Read / Write

Amount of feedback.

Allowed values: [0,1]

Default value: 0

### The `"intensity"` property

      "intensity"                gfloat                : Read / Write

Intensity of the echo.

Allowed values: [0,1]

Default value: 0

### The `"max-delay"` property

      "max-delay"                guint64               : Read / Write

Maximum delay of the echo in nanoseconds (can't be changed in PLAYING or PAUSED state).

Allowed values: >= 1

Default value: 1